Package org.apache.nutch.protocol.httpclient

## Class HttpFormAuthentication

- java.lang.Object
- - org.apache.nutch.protocol.httpclient.HttpFormAuthentication

-     public class HttpFormAuthentication
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpFormAuthentication​(String loginUrl, String loginForm, Map<String,​String> loginPostData, Map<String,​String> additionalPostHeaders, Set<String> removedFormFields)` |
    `HttpFormAuthentication​(HttpFormAuthConfigurer authConfigurer, org.apache.commons.httpclient.HttpClient client, Http http)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCookies()` |
    `boolean` | `isRedirect()` |
    `void` | `login()` |
    `void` | `setCookies​(String cookies)` |
    `void` | `setRedirect​(boolean redirect)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpFormAuthentication

          public HttpFormAuthentication​(HttpFormAuthConfigurer authConfigurer,
                                        org.apache.commons.httpclient.HttpClient client,
                                        Http http)

    - #### HttpFormAuthentication

          public HttpFormAuthentication​(String loginUrl,
                                        String loginForm,
                                        Map<String,​String> loginPostData,
                                        Map<String,​String> additionalPostHeaders,
                                        Set<String> removedFormFields)

  - ### Method Detail

    - #### login

          public void login()
                     throws Exception

      Throws:
        `Exception`

    - #### getCookies

          public String getCookies()

    - #### setCookies

          public void setCookies​(String cookies)

    - #### isRedirect

          public boolean isRedirect()

    - #### setRedirect

          public void setRedirect​(boolean redirect)